From d678911106239a842dd5574c5c231b7674b34149 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 29 Dec 2021 17:56:43 -0600
Subject: [PATCH 15/33] typo

---
 src/backend/access/heap/heapam.c         | 2 +-
 src/backend/replication/logical/worker.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 6ec57f3d8b2..98230aac49c 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -8354,7 +8354,7 @@ log_heap_new_cid(Relation relation, HeapTuple tup)
 
 /*
  * Build a heap tuple representing the configured REPLICA IDENTITY to represent
- * the old tuple in a UPDATE or DELETE.
+ * the old tuple in an UPDATE or DELETE.
  *
  * Returns NULL if there's no need to log an identity or if there's no suitable
  * key defined.
diff --git a/src/backend/replication/logical/worker.c b/src/backend/replication/logical/worker.c
index 34710ed436d..e3a0e34954b 100644
--- a/src/backend/replication/logical/worker.c
+++ b/src/backend/replication/logical/worker.c
@@ -2368,7 +2368,7 @@ apply_dispatch(StringInfo s)
 
 	/*
 	 * Set the current command being applied. Since this function can be
-	 * called recusively when applying spooled changes, save the current
+	 * called recursively when applying spooled changes, save the current
 	 * command.
 	 */
 	saved_command = apply_error_callback_arg.command;
@@ -2587,7 +2587,7 @@ LogicalRepApplyLoop(XLogRecPtr last_received)
 	pgstat_report_activity(STATE_IDLE, NULL);
 
 	/*
-	 * Push apply error context callback. Fields will be filled during
+	 * Push apply error context callback. Fields will be filled while
 	 * applying a change.
 	 */
 	errcallback.callback = apply_error_callback;
-- 
2.17.1

